summaryrefslogtreecommitdiffstats
path: root/source/l/libsigc++/libsigc++.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2019-07-19 18:26:45 +0000
committer Eric Hameleers <alien@slackware.com>2019-07-20 08:59:50 +0200
commit3db41f6c7650f0cff2bb0010c9db60bfb74e6b02 (patch)
tree9281976b0f7db8ddbea01190471bcbfa939bc4df /source/l/libsigc++/libsigc++.SlackBuild
parent612d5685be4b6dc368aa4d02e96ead63bdb6e904 (diff)
downloadcurrent-924d731aa82f89a76e65232678bd0b8f9cd548f1.tar.gz
current-924d731aa82f89a76e65232678bd0b8f9cd548f1.tar.xz
Fri Jul 19 18:26:45 UTC 201920190719182645
a/aaa_elflibs-15.0-x86_64-9.txz: Rebuilt. Upgraded: libbz2.so.1.0.8, libexpat.so.1.6.9, libglib-2.0.so.0.6000.5, libgmodule-2.0.so.0.6000.5, libgobject-2.0.so.0.6000.5, libgthread-2.0.so.0.6000.5, libidn2.so.0.3.6. Removed: libicudata.so.63.1, libicui18n.so.63.1, libicuio.so.63.1, libicutest.so.63.1, libicutu.so.63.1, libicuuc.so.63.1. Added: libpcre2-8.so.0.8.0, libpsl.so.5.3.2. These are needed by wget which is used by slackpkg, so they should be in here. Thanks to OutSiderBR. ap/lxc-2.0.11_fad08f383-x86_64-1.txz: Upgraded. Updated from 2.0 git branch. Ported init script updates from sysvinit-scripts. d/ccache-3.7.2-x86_64-1.txz: Upgraded. l/libsigc++-2.10.2-x86_64-1.txz: Upgraded. n/curl-7.65.3-x86_64-1.txz: Upgraded. This is a bugfix release: Fix a regression that caused the progress meter not to appear. For more information, see: https://curl.haxx.se/changes.html n/iputils-20190709-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/libsigc++/libsigc++.SlackBuild')
-rwxr-xr-xsource/l/libsigc++/libsigc++.SlackBuild12
1 files changed, 8 insertions, 4 deletions
diff --git a/source/l/libsigc++/libsigc++.SlackBuild b/source/l/libsigc++/libsigc++.SlackBuild
index 7c003a0ae..c20c6cea0 100755
--- a/source/l/libsigc++/libsigc++.SlackBuild
+++ b/source/l/libsigc++/libsigc++.SlackBuild
@@ -23,7 +23,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libsigc++
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
@@ -64,9 +64,9 @@ fi
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
-cd $PKGNAM-$VERSION || exit 1
+rm -rf libsigcplusplus-$VERSION $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd libsigcplusplus-$VERSION || cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,6 +74,10 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+if [ ! -r configure ]; then
+ autoreconf -vif
+fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS -std=c++11" \
./configure \